diff --git a/sys/net/stf/if_stf.c b/sys/net/stf/if_stf.c
index 64effaf..7dae157 100644
--- a/sys/net/stf/if_stf.c
+++ b/sys/net/stf/if_stf.c
@@ -1,5 +1,4 @@
 /*	$FreeBSD: src/sys/net/if_stf.c,v 1.1.2.11 2003/01/23 21:06:44 sam Exp $	*/
-/*	$DragonFly: src/sys/net/stf/if_stf.c,v 1.25 2008/10/27 02:56:30 sephe Exp $	*/
 /*	$KAME: if_stf.c,v 1.73 2001/12/03 11:08:30 keiichi Exp $	*/
 
 /*
@@ -373,7 +372,7 @@ stf_output_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 		bpf_reltoken();
 	}
 
-	M_PREPEND(m, sizeof(struct ip), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(struct ip), M_NOWAIT);
 	if (m && m->m_len < sizeof(struct ip))
 		m = m_pullup(m, sizeof(struct ip));
 	if (m == NULL)
diff --git a/sys/net/tap/if_tap.c b/sys/net/tap/if_tap.c
index 15e7349..cd9b9b6 100644
--- a/sys/net/tap/if_tap.c
+++ b/sys/net/tap/if_tap.c
@@ -927,7 +927,7 @@ tapwrite(struct dev_write_args *ap)
 	tlen = uio->uio_resid;
 
 	/* get a header mbuf */
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	if (m == NULL)
 		return (ENOBUFS);
 	mlen = MHLEN;
@@ -942,7 +942,7 @@ tapwrite(struct dev_write_args *ap)
 		*mp = m;
 		mp = &m->m_next;
 		if (uio->uio_resid > 0) {
-			MGET(m, MB_WAIT, MT_DATA);
+			MGET(m, M_WAITOK, MT_DATA);
 			if (m == NULL) {
 				error = ENOBUFS;
 				break;
diff --git a/sys/net/tun/if_tun.c b/sys/net/tun/if_tun.c
index dc8e599..8f1b9ce 100644
--- a/sys/net/tun/if_tun.c
+++ b/sys/net/tun/if_tun.c
@@ -355,7 +355,7 @@ tunoutput_serialized(struct ifnet *ifp, struct mbuf *m0, struct sockaddr *dst,
 	/* prepend sockaddr? this may abort if the mbuf allocation fails */
 	if (tp->tun_flags & TUN_LMODE) {
 		/* allocate space for sockaddr */
-		M_PREPEND(m0, dst->sa_len, MB_DONTWAIT);
+		M_PREPEND(m0, dst->sa_len, M_NOWAIT);
 
 		/* if allocation failed drop packet */
 		if (m0 == NULL){
@@ -368,7 +368,7 @@ tunoutput_serialized(struct ifnet *ifp, struct mbuf *m0, struct sockaddr *dst,
 
 	if (tp->tun_flags & TUN_IFHEAD) {
 		/* Prepend the address family */
-		M_PREPEND(m0, 4, MB_DONTWAIT);
+		M_PREPEND(m0, 4, M_NOWAIT);
 
 		/* if allocation failed drop packet */
 		if (m0 == NULL){
@@ -598,7 +598,7 @@ tunwrite(struct dev_write_args *ap)
 	tlen = uio->uio_resid;
 
 	/* get a header mbuf */
-	MGETHDR(m, MB_WAIT, MT_DATA);
+	MGETHDR(m, M_WAITOK, MT_DATA);
 	if (m == NULL)
 		return ENOBUFS;
 	mlen = MHLEN;
@@ -611,7 +611,7 @@ tunwrite(struct dev_write_args *ap)
 		*mp = m;
 		mp = &m->m_next;
 		if (uio->uio_resid > 0) {
-			MGET (m, MB_WAIT, MT_DATA);
+			MGET (m, M_WAITOK, MT_DATA);
 			if (m == NULL) {
 				error = ENOBUFS;
 				break;
diff --git a/sys/net/vlan/if_vlan_ether.c b/sys/net/vlan/if_vlan_ether.c
index f2de53a..ce9d429 100644
--- a/sys/net/vlan/if_vlan_ether.c
+++ b/sys/net/vlan/if_vlan_ether.c
@@ -76,7 +76,7 @@ vlan_start_dispatch(netmsg_t msg)
 		uint16_t vlantag = m->m_pkthdr.ether_vlantag;
 		struct ether_vlan_header *evl;
 
-		M_PREPEND(m, EVL_ENCAPLEN, MB_DONTWAIT);
+		M_PREPEND(m, EVL_ENCAPLEN, M_NOWAIT);
 		if (m == NULL) {
 			if_printf(ifp, "vlan%u M_PREPEND failed", vlantag);
 			return;
@@ -129,7 +129,7 @@ vlan_ether_ptap(struct bpf_if *bp, struct mbuf *m, uint16_t vlantag)
 	bpf_ptap(bp, m, &evh, ETHER_HDR_LEN + EVL_ENCAPLEN);
 
 	/* XXX assumes data was left intact */
-	M_PREPEND(m, ETHER_HDR_LEN, MB_WAIT);
+	M_PREPEND(m, ETHER_HDR_LEN, M_WAITOK);
 }
 
 void
diff --git a/sys/netbt/hci_link.c b/sys/netbt/hci_link.c
index 8995ff1..d85981f 100644
--- a/sys/netbt/hci_link.c
+++ b/sys/netbt/hci_link.c
@@ -1,4 +1,3 @@
-/* $DragonFly: src/sys/netbt/hci_link.c,v 1.2 2008/03/18 13:41:42 hasso Exp $ */
 /* $OpenBSD: src/sys/netbt/hci_link.c,v 1.7 2008/02/24 21:34:48 uwe Exp $ */
 /* $NetBSD: hci_link.c,v 1.16 2007/11/10 23:12:22 plunky Exp $ */
 
@@ -566,7 +565,7 @@ hci_acl_send(struct mbuf *m, struct hci_link *link,
 
 	while (plen > 0) {
 		if (plen > mlen) {
-			n = m_split(m, mlen, MB_DONTWAIT);
+			n = m_split(m, mlen, M_NOWAIT);
 			if (n == NULL)
 				goto nomem;
 		} else {
@@ -655,7 +654,7 @@ hci_acl_start(struct hci_link *link)
 			handle = HCI_MK_CON_HANDLE(link->hl_handle,
 						HCI_PACKET_FRAGMENT, 0);
 
-		M_PREPEND(m, sizeof(*hdr), MB_DONTWAIT);
+		M_PREPEND(m, sizeof(*hdr), M_NOWAIT);
 		if (m == NULL)
 			break;
 
diff --git a/sys/netbt/hci_socket.c b/sys/netbt/hci_socket.c
index 87d7efa..bededfc 100644
--- a/sys/netbt/hci_socket.c
+++ b/sys/netbt/hci_socket.c
@@ -513,7 +513,7 @@ hci_send(struct hci_pcb *pcb, struct mbuf *m, bdaddr_t *addr)
 	}
 
 	/* makes a copy for precious to keep */
-	m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+	m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 	if (m0 == NULL) {
 		err = ENOMEM;
 		goto bad;
@@ -999,7 +999,7 @@ hci_mtap(struct mbuf *m, struct hci_unit *unit)
 		/*
 		 * copy to socket
 		 */
-		m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+		m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 		if (m0 && sbappendaddr(&pcb->hp_socket->so_rcv.sb,
 				(struct sockaddr *)&sa, m0, ctlmsg)) {
 			sorwakeup(pcb->hp_socket);
diff --git a/sys/netbt/hci_unit.c b/sys/netbt/hci_unit.c
index 0fced4d..fc83344 100644
--- a/sys/netbt/hci_unit.c
+++ b/sys/netbt/hci_unit.c
@@ -1,4 +1,3 @@
-/* $DragonFly: src/sys/netbt/hci_unit.c,v 1.2 2008/03/18 13:41:42 hasso Exp $ */
 /* $OpenBSD: src/sys/netbt/hci_unit.c,v 1.8 2008/02/24 21:34:48 uwe Exp $ */
 /* $NetBSD: hci_unit.c,v 1.9 2007/12/30 18:26:42 plunky Exp $ */
 
@@ -290,7 +289,7 @@ hci_send_cmd(struct hci_unit *unit, uint16_t opcode, void *buf, uint8_t len)
 
 	KKASSERT(unit != NULL);
 
-	m = m_gethdr(MB_DONTWAIT, MT_DATA);
+	m = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return ENOMEM;
 
diff --git a/sys/netbt/l2cap_signal.c b/sys/netbt/l2cap_signal.c
index 4e02721..4638960 100644
--- a/sys/netbt/l2cap_signal.c
+++ b/sys/netbt/l2cap_signal.c
@@ -1,4 +1,3 @@
-/* $DragonFly: src/sys/netbt/l2cap_signal.c,v 1.2 2008/03/18 13:41:42 hasso Exp $ */
 /* $OpenBSD: src/sys/netbt/l2cap_signal.c,v 1.3 2008/02/24 21:34:48 uwe Exp $ */
 /* $NetBSD: l2cap_signal.c,v 1.9 2007/11/10 23:12:23 plunky Exp $ */
 
@@ -952,7 +951,7 @@ l2cap_send_signal(struct hci_link *link, uint8_t code, uint8_t ident,
 		    device_get_nameunit(link->hl_unit->hci_dev));
 #endif
 
-	m = m_gethdr(MB_DONTWAIT, MT_DATA);
+	m = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return ENOMEM;
 
diff --git a/sys/netbt/l2cap_socket.c b/sys/netbt/l2cap_socket.c
index 94a0639..938c7f9 100644
--- a/sys/netbt/l2cap_socket.c
+++ b/sys/netbt/l2cap_socket.c
@@ -429,13 +429,13 @@ l2cap_ssend(netmsg_t msg)
 		goto out;
 	}
 
-	m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+	m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 	if (m0 == NULL) {
 		error = ENOMEM;
 		goto out;
 	}
 
-	m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+	m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 	if (m0 == NULL) {
 		error = ENOMEM;
 		goto out;
diff --git a/sys/netbt/l2cap_upper.c b/sys/netbt/l2cap_upper.c
index 2f37462..b7406e6 100644
--- a/sys/netbt/l2cap_upper.c
+++ b/sys/netbt/l2cap_upper.c
@@ -382,7 +382,7 @@ l2cap_send(struct l2cap_channel *chan, struct mbuf *m)
 		plen, chan->lc_lcid, chan->lc_pending);
 
 	/* Encapsulate with B-Frame */
-	M_PREPEND(m, sizeof(l2cap_hdr_t), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(l2cap_hdr_t), M_NOWAIT);
 	if (m == NULL)
 		return ENOMEM;
 
diff --git a/sys/netbt/rfcomm_dlc.c b/sys/netbt/rfcomm_dlc.c
index ad4ef4f..904d415 100644
--- a/sys/netbt/rfcomm_dlc.c
+++ b/sys/netbt/rfcomm_dlc.c
@@ -1,4 +1,3 @@
-/* $DragonFly: src/sys/netbt/rfcomm_dlc.c,v 1.2 2008/03/18 13:41:42 hasso Exp $ */
 /* $OpenBSD: src/sys/netbt/rfcomm_dlc.c,v 1.2 2008/02/24 21:34:48 uwe Exp $ */
 /* $NetBSD: rfcomm_dlc.c,v 1.4 2007/11/03 17:20:17 plunky Exp $ */
 
@@ -380,7 +379,7 @@ rfcomm_dlc_start(struct rfcomm_dlc *dlc)
 			 */
 			m = dlc->rd_txbuf;
 			if (len < m->m_pkthdr.len) {
-				dlc->rd_txbuf = m_split(m, len, MB_DONTWAIT);
+				dlc->rd_txbuf = m_split(m, len, M_NOWAIT);
 				if (dlc->rd_txbuf == NULL) {
 					dlc->rd_txbuf = m;
 					break;
diff --git a/sys/netbt/rfcomm_session.c b/sys/netbt/rfcomm_session.c
index 58531e3..47c81ce 100644
--- a/sys/netbt/rfcomm_session.c
+++ b/sys/netbt/rfcomm_session.c
@@ -1,4 +1,3 @@
-/* $DragonFly: src/sys/netbt/rfcomm_session.c,v 1.2 2008/03/18 13:41:42 hasso Exp $ */
 /* $OpenBSD: src/sys/netbt/rfcomm_session.c,v 1.3 2008/02/24 21:34:48 uwe Exp $ */
 /* $NetBSD: rfcomm_session.c,v 1.12 2008/01/31 19:30:23 plunky Exp $ */
 
@@ -1462,7 +1461,7 @@ rfcomm_session_send_frame(struct rfcomm_session *rs, int type, int dlci)
 	if (credit == NULL)
 		return ENOMEM;
 
-	m = m_gethdr(MB_DONTWAIT, MT_DATA);
+	m = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		zfree(rfcomm_credit_pool, credit);
 		return ENOMEM;
@@ -1552,7 +1551,7 @@ rfcomm_session_send_uih(struct rfcomm_session *rs, struct rfcomm_dlc *dlc,
 	 * If there are credits to be sent, we will set the PF
 	 * flag and include them in the frame.
 	 */
-	m0 = m_gethdr(MB_DONTWAIT, MT_DATA);
+	m0 = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m0 == NULL)
 		goto nomem;
 
@@ -1636,7 +1635,7 @@ rfcomm_session_send_mcc(struct rfcomm_session *rs, int cr,
 	uint8_t *hdr;
 	int hlen;
 
-	m = m_gethdr(MB_DONTWAIT, MT_DATA);
+	m = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		return ENOMEM;
 
diff --git a/sys/netbt/rfcomm_socket.c b/sys/netbt/rfcomm_socket.c
index d526f64..2a0f1d1 100644
--- a/sys/netbt/rfcomm_socket.c
+++ b/sys/netbt/rfcomm_socket.c
@@ -439,7 +439,7 @@ rfcomm_ssend(netmsg_t msg)
 		control = NULL;
 	}
 
-	m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+	m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 	if (m0) {
 		sbappendstream(&so->so_snd.sb, m);
 		error = rfcomm_send(pcb, m0);
diff --git a/sys/netbt/sco_socket.c b/sys/netbt/sco_socket.c
index 7a8da06..7782238 100644
--- a/sys/netbt/sco_socket.c
+++ b/sys/netbt/sco_socket.c
@@ -107,7 +107,7 @@ sco_ctloutput(netmsg_t msg)
 
 	switch(sopt->sopt_dir) {
 	case PRCO_GETOPT:
-		m = m_get(MB_WAIT, MT_DATA);
+		m = m_get(M_WAITOK, MT_DATA);
 		m->m_len = sco_getopt(pcb, sopt->sopt_name, mtod(m, uint8_t *));
 		if (m->m_len == 0) {
 			m_freem(m);
@@ -396,7 +396,7 @@ sco_ssend(netmsg_t msg)
 		goto out;
 	}
 
-	m0 = m_copym(m, 0, M_COPYALL, MB_DONTWAIT);
+	m0 = m_copym(m, 0, M_COPYALL, M_NOWAIT);
 	if (m0 == NULL) {
 		error = ENOMEM;
 		goto out;
diff --git a/sys/netbt/sco_upper.c b/sys/netbt/sco_upper.c
index 657c5ec..0d63a3e 100644
--- a/sys/netbt/sco_upper.c
+++ b/sys/netbt/sco_upper.c
@@ -296,7 +296,7 @@ sco_send(struct sco_pcb *pcb, struct mbuf *m)
 		return EMSGSIZE;
 	}
 
-	M_PREPEND(m, sizeof(hci_scodata_hdr_t), MB_DONTWAIT);
+	M_PREPEND(m, sizeof(hci_scodata_hdr_t), M_NOWAIT);
 	if (m == NULL)
 		return ENOMEM;
 
diff --git a/sys/netgraph/UI/ng_UI.c b/sys/netgraph/UI/ng_UI.c
index 944e1ca..a823c39 100644
--- a/sys/netgraph/UI/ng_UI.c
+++ b/sys/netgraph/UI/ng_UI.c
@@ -181,7 +181,7 @@ ng_UI_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 		m_adj(m, ptr - start);
 		NG_SEND_DATA(error, priv->uplink, m, meta);	/* m -> NULL */
 	} else if (hook == priv->uplink) {
-		M_PREPEND(m, 1, MB_DONTWAIT);	/* Prepend IP NLPID */
+		M_PREPEND(m, 1, M_NOWAIT);	/* Prepend IP NLPID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
diff --git a/sys/netgraph/cisco/ng_cisco.c b/sys/netgraph/cisco/ng_cisco.c
index 34871e8..e7ae26d 100644
--- a/sys/netgraph/cisco/ng_cisco.c
+++ b/sys/netgraph/cisco/ng_cisco.c
@@ -360,7 +360,7 @@ cisco_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 
 	/* OK so it came from a protocol, heading out. Prepend general data
 	   packet header. For now, IP,IPX only  */
-	M_PREPEND(m, CISCO_HEADER_LEN, MB_DONTWAIT);
+	M_PREPEND(m, CISCO_HEADER_LEN, M_NOWAIT);
 	if (!m) {
 		error = ENOBUFS;
 		goto out;
@@ -597,7 +597,7 @@ cisco_send(sc_p sc, int type, long par1, long par2)
 
 	getmicrotime(&time);
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (!m)
 		return (ENOBUFS);
 
diff --git a/sys/netgraph/frame_relay/ng_frame_relay.c b/sys/netgraph/frame_relay/ng_frame_relay.c
index 4202373..7893448 100644
--- a/sys/netgraph/frame_relay/ng_frame_relay.c
+++ b/sys/netgraph/frame_relay/ng_frame_relay.c
@@ -371,7 +371,7 @@ ngfrm_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 	alen = sc->addrlen;
 	if (alen == 0)
 		alen = 2;	/* default value for transmit */
-	M_PREPEND(m, alen, MB_DONTWAIT);
+	M_PREPEND(m, alen, M_NOWAIT);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto bad;
diff --git a/sys/netgraph/l2tp/ng_l2tp.c b/sys/netgraph/l2tp/ng_l2tp.c
index 34a55e7..3ba96a2 100644
--- a/sys/netgraph/l2tp/ng_l2tp.c
+++ b/sys/netgraph/l2tp/ng_l2tp.c
@@ -838,7 +838,7 @@ ng_l2tp_recv_lower(node_p node, struct mbuf *m, meta_p meta)
 		 * later because of a memory error, because then the upper
 		 * layer would never get the packet.
 		 */
-		M_PREPEND(m, 2, MB_DONTWAIT);
+		M_PREPEND(m, 2, M_NOWAIT);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			NG_FREE_META(meta);
@@ -937,7 +937,7 @@ ng_l2tp_recv_ctrl(node_p node, struct mbuf *m, meta_p meta)
 	}
 
 	/* Copy packet */
-	if ((m = L2TP_COPY_MBUF(seq->xwin[i], MB_DONTWAIT)) == NULL) {
+	if ((m = L2TP_COPY_MBUF(seq->xwin[i], M_NOWAIT)) == NULL) {
 		priv->stats.memoryFailures++;
 		return (ENOBUFS);
 	}
@@ -969,7 +969,7 @@ ng_l2tp_recv_data(node_p node, struct mbuf *m, meta_p meta, hookpriv_p hpriv)
 	M_PREPEND(m, 6
 	    + (2 * (hpriv->conf.include_length != 0))
 	    + (4 * (hpriv->conf.enable_dseq != 0)),
-	    MB_DONTWAIT);
+	    M_NOWAIT);
 	if (m == NULL) {
 		priv->stats.memoryFailures++;
 		NG_FREE_META(meta);
@@ -1204,7 +1204,7 @@ ng_l2tp_seq_recv_nr(priv_p priv, u_int16_t nr)
 	 */
 	while ((i = L2TP_SEQ_DIFF(seq->ns, seq->rack)) < seq->cwnd
 	    && seq->xwin[i] != NULL) {
-		if ((m = L2TP_COPY_MBUF(seq->xwin[i], MB_DONTWAIT)) == NULL)
+		if ((m = L2TP_COPY_MBUF(seq->xwin[i], M_NOWAIT)) == NULL)
 			priv->stats.memoryFailures++;
 		else
 			ng_l2tp_xmit_ctrl(priv, m, seq->ns);
@@ -1348,7 +1348,7 @@ ng_l2tp_seq_rack_timeout(void *arg)
 	seq->acks = 0;
 
 	/* Retransmit oldest unack'd packet */
-	if ((m = L2TP_COPY_MBUF(seq->xwin[0], MB_DONTWAIT)) == NULL)
+	if ((m = L2TP_COPY_MBUF(seq->xwin[0], M_NOWAIT)) == NULL)
 		priv->stats.memoryFailures++;
 	else
 		ng_l2tp_xmit_ctrl(priv, m, seq->rack);
@@ -1375,7 +1375,7 @@ ng_l2tp_xmit_ctrl(priv_p priv, struct mbuf *m, u_int16_t ns)
 	if (m == NULL) {
 
 		/* Create a new mbuf for ZLB packet */
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			return (ENOBUFS);
@@ -1394,7 +1394,7 @@ ng_l2tp_xmit_ctrl(priv_p priv, struct mbuf *m, u_int16_t ns)
 		m_adj(m, 2);
 
 		/* Make room for L2TP header */
-		M_PREPEND(m, 12, MB_DONTWAIT);
+		M_PREPEND(m, 12, M_NOWAIT);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			return (ENOBUFS);
diff --git a/sys/netgraph/lmi/ng_lmi.c b/sys/netgraph/lmi/ng_lmi.c
index 54cda2b..8152b70 100644
--- a/sys/netgraph/lmi/ng_lmi.c
+++ b/sys/netgraph/lmi/ng_lmi.c
@@ -330,7 +330,7 @@ nglmi_inquire(sc_p sc, int full)
 
 	if (sc->lmi_channel == NULL)
 		return;
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		log(LOG_ERR, "nglmi: unable to start up LMI processing\n");
 		return;
diff --git a/sys/netgraph/ppp/ng_ppp.c b/sys/netgraph/ppp/ng_ppp.c
index cb5bca2..2442562 100644
--- a/sys/netgraph/ppp/ng_ppp.c
+++ b/sys/netgraph/ppp/ng_ppp.c
@@ -1545,7 +1545,7 @@ deliver:
 			/* Split off next fragment as "m2" */
 			m2 = m;
 			if (!lastFragment) {
-				struct mbuf *n = m_split(m, len, MB_DONTWAIT);
+				struct mbuf *n = m_split(m, len, M_NOWAIT);
 
 				if (n == NULL) {
 					NG_FREE_DATA(m, meta);
@@ -1863,7 +1863,7 @@ ng_ppp_addproto(struct mbuf *m, int proto, int compOK)
 static struct mbuf *
 ng_ppp_prepend(struct mbuf *m, const void *buf, int len)
 {
-	M_PREPEND(m, len, MB_DONTWAIT);
+	M_PREPEND(m, len, M_NOWAIT);
 	if (m == NULL || (m->m_len < len && (m = m_pullup(m, len)) == NULL))
 		return (NULL);
 	bcopy(buf, mtod(m, u_char *), len);
diff --git a/sys/netgraph/pppoe/ng_pppoe.c b/sys/netgraph/pppoe/ng_pppoe.c
index af9b869..adeb2bb 100644
--- a/sys/netgraph/pppoe/ng_pppoe.c
+++ b/sys/netgraph/pppoe/ng_pppoe.c
@@ -659,14 +659,14 @@ AAA
 				kprintf("pppoe: Session out of memory\n");
 				LEAVE(ENOMEM);
 			}
-			MGETHDR(neg->m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(neg->m, M_NOWAIT, MT_DATA);
 			if(neg->m == NULL) {
 				kprintf("pppoe: Session out of mbufs\n");
 				kfree(neg, M_NETGRAPH);
 				LEAVE(ENOBUFS);
 			}
 			neg->m->m_pkthdr.rcvif = NULL;
-			MCLGET(neg->m, MB_DONTWAIT);
+			MCLGET(neg->m, M_NOWAIT);
 			if ((neg->m->m_flags & M_EXT) == 0) {
 				kprintf("pppoe: Session out of mcls\n");
 				m_freem(neg->m);
@@ -1283,7 +1283,7 @@ AAA
 			 * But first correct the length.
 			 */
 			sp->pkt_hdr.ph.length = htons((short)(m->m_pkthdr.len));
-			M_PREPEND(m, sizeof(*wh), MB_DONTWAIT);
+			M_PREPEND(m, sizeof(*wh), M_NOWAIT);
 			if (m == NULL) {
 				LEAVE(ENOBUFS);
 			}
@@ -1457,7 +1457,7 @@ AAA
 				wh->eh.ether_type = ETHERTYPE_PPPOE_DISC;
 
 			/* generate a packet of that type */
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if(m == NULL)
 				kprintf("pppoe: Session out of mbufs\n");
 			else {
@@ -1528,7 +1528,7 @@ AAA
 	case	PPPOE_SINIT:
 	case	PPPOE_SREQ:
 		/* timeouts on these produce resends */
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_SEND_DATA( error, privp->ethernet_hook, m0, dummy);
 		callout_reset(&neg->timeout_ch, neg->timeout * hz,
 				pppoe_ticker, hook);
@@ -1575,7 +1575,7 @@ AAA
 
 	case	PPPOE_NEWCONNECTED:
 		/* send the PADS without a timeout - we're now connected */
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_SEND_DATA( error, privp->ethernet_hook, m0, dummy);
 		break;
 
@@ -1590,7 +1590,7 @@ AAA
 		 * send the offer but if they don't respond
 		 * in PPPOE_OFFER_TIMEOUT seconds, forget about it.
 		 */
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_SEND_DATA( error, privp->ethernet_hook, m0, dummy);
 		callout_reset(&neg->timeout_ch, PPPOE_OFFER_TIMEOUT * hz,
 				pppoe_ticker, hook);
@@ -1598,7 +1598,7 @@ AAA
 
 	case	PPPOE_SINIT:
 	case	PPPOE_SREQ:
-		m0 = m_copypacket(sp->neg->m, MB_DONTWAIT);
+		m0 = m_copypacket(sp->neg->m, M_NOWAIT);
 		NG_SEND_DATA( error, privp->ethernet_hook, m0, dummy);
 		callout_reset(&neg->timeout_ch, PPPOE_INITIAL_TIMEOUT * hz,
 				pppoe_ticker, hook);
diff --git a/sys/netgraph/pptpgre/ng_pptpgre.c b/sys/netgraph/pptpgre/ng_pptpgre.c
index 48c3c38..dd14c1f 100644
--- a/sys/netgraph/pptpgre/ng_pptpgre.c
+++ b/sys/netgraph/pptpgre/ng_pptpgre.c
@@ -528,7 +528,7 @@ ng_pptpgre_xmit(node_p node, struct mbuf *m, meta_p meta)
 	/* Prepend GRE header to outgoing frame */
 	grelen = sizeof(*gre) + sizeof(u_int32_t) * (gre->hasSeq + gre->hasAck);
 	if (m == NULL) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			priv->stats.memoryFailures++;
 			NG_FREE_META(meta);
@@ -537,7 +537,7 @@ ng_pptpgre_xmit(node_p node, struct mbuf *m, meta_p meta)
 		m->m_len = m->m_pkthdr.len = grelen;
 		m->m_pkthdr.rcvif = NULL;
 	} else {
-		M_PREPEND(m, grelen, MB_DONTWAIT);
+		M_PREPEND(m, grelen, M_NOWAIT);
 		if (m == NULL || (m->m_len < grelen
 		    && (m = m_pullup(m, grelen)) == NULL)) {
 			priv->stats.memoryFailures++;
diff --git a/sys/netgraph/rfc1490/ng_rfc1490.c b/sys/netgraph/rfc1490/ng_rfc1490.c
index 0b3c2fb..6d3a396 100644
--- a/sys/netgraph/rfc1490/ng_rfc1490.c
+++ b/sys/netgraph/rfc1490/ng_rfc1490.c
@@ -283,14 +283,14 @@ ng_rfc1490_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 			break;
 		}
 	} else if (hook == priv->ppp) {
-		M_PREPEND(m, 2, MB_DONTWAIT);	/* Prepend PPP NLPID */
+		M_PREPEND(m, 2, M_NOWAIT);	/* Prepend PPP NLPID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
 		mtod(m, u_char *)[1] = NLPID_PPP;
 		NG_SEND_DATA(error, priv->downlink, m, meta);
 	} else if (hook == priv->inet) {
-		M_PREPEND(m, 2, MB_DONTWAIT);	/* Prepend IP NLPID */
+		M_PREPEND(m, 2, M_NOWAIT);	/* Prepend IP NLPID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
diff --git a/sys/netgraph/tty/ng_tty.c b/sys/netgraph/tty/ng_tty.c
index 8576f72..9fbb366 100644
--- a/sys/netgraph/tty/ng_tty.c
+++ b/sys/netgraph/tty/ng_tty.c
@@ -374,7 +374,7 @@ ngt_input(int c, struct tty *tp)
 
 	/* Get a new header mbuf if we need one */
 	if (!(m = sc->m)) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (!m) {
 			if (sc->flags & FLG_DEBUG)
 				log(LOG_ERR,
diff --git a/sys/netgraph/vjc/ng_vjc.c b/sys/netgraph/vjc/ng_vjc.c
index e65c396..59ea1a5 100644
--- a/sys/netgraph/vjc/ng_vjc.c
+++ b/sys/netgraph/vjc/ng_vjc.c
@@ -479,7 +479,7 @@ ng_vjc_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 		m_adj(m, vjlen);
 
 		/* Copy the reconstructed TCP/IP headers into a new mbuf */
-		MGETHDR(hm, MB_DONTWAIT, MT_DATA);
+		MGETHDR(hm, M_NOWAIT, MT_DATA);
 		if (hm == NULL) {
 			priv->slc.sls_errorin++;
 			NG_FREE_DATA(m, meta);
@@ -488,7 +488,7 @@ ng_vjc_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 		hm->m_len = 0;
 		hm->m_pkthdr.rcvif = NULL;
 		if (hlen > MHLEN) {		/* unlikely, but can happen */
-			MCLGET(hm, MB_DONTWAIT);
+			MCLGET(hm, M_NOWAIT);
 			if ((hm->m_flags & M_EXT) == 0) {
 				m_freem(hm);
 				priv->slc.sls_errorin++;
diff --git a/sys/netgraph7/UI/ng_UI.c b/sys/netgraph7/UI/ng_UI.c
index 454dde7..680e7f4 100644
--- a/sys/netgraph7/UI/ng_UI.c
+++ b/sys/netgraph7/UI/ng_UI.c
@@ -190,7 +190,7 @@ ng_UI_rcvdata(hook_p hook, item_p item)
 		m_adj(m, ptr - start);
 		NG_FWD_NEW_DATA(error, item, priv->uplink, m);	/* m -> NULL */
 	} else if (hook == priv->uplink) {
-		M_PREPEND(m, 1, MB_DONTWAIT);	/* Prepend IP NLPID */
+		M_PREPEND(m, 1, M_NOWAIT);	/* Prepend IP NLPID */
 		if (!m)
 			ERROUT(ENOBUFS);
 		mtod(m, u_char *)[0] = HDLC_UI;
diff --git a/sys/netgraph7/bluetooth/drivers/bt3c/ng_bt3c_pccard.c b/sys/netgraph7/bluetooth/drivers/bt3c/ng_bt3c_pccard.c
index 5354c7c..5d1eb03 100644
--- a/sys/netgraph7/bluetooth/drivers/bt3c/ng_bt3c_pccard.c
+++ b/sys/netgraph7/bluetooth/drivers/bt3c/ng_bt3c_pccard.c
@@ -799,7 +799,7 @@ bt3c_receive(bt3c_softc_p sc)
 			sc->state = NG_BT3C_W4_PKT_IND;
 			sc->want = 1;
 
-			MGETHDR(sc->m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(sc->m, M_NOWAIT, MT_DATA);
 			if (sc->m == NULL) {
 				NG_BT3C_ERR(sc->dev, "Could not get mbuf\n");
 				NG_BT3C_STAT_IERROR(sc->stat);
@@ -807,7 +807,7 @@ bt3c_receive(bt3c_softc_p sc)
 				break; /* XXX lost of sync */
 			}
 
-			MCLGET(sc->m, MB_DONTWAIT);
+			MCLGET(sc->m, M_NOWAIT);
 			if (!(sc->m->m_flags & M_EXT)) {
 				NG_FREE_M(sc->m);
 
diff --git a/sys/netgraph7/bluetooth/drivers/h4/ng_h4.c b/sys/netgraph7/bluetooth/drivers/h4/ng_h4.c
index c47dc0f..d226f4e 100644
--- a/sys/netgraph7/bluetooth/drivers/h4/ng_h4.c
+++ b/sys/netgraph7/bluetooth/drivers/h4/ng_h4.c
@@ -536,7 +536,7 @@ ng_h4_input(int c, struct tty *tp)
 		if (sc->hook != NULL && NG_HOOK_IS_VALID(sc->hook)) {
 			struct mbuf	*m = NULL;
 
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m != NULL) {
 				m->m_pkthdr.len = 0;
 
diff --git a/sys/netgraph7/bluetooth/drivers/ubt/ng_ubt.c b/sys/netgraph7/bluetooth/drivers/ubt/ng_ubt.c
index 758e1fd..6aeba86 100644
--- a/sys/netgraph7/bluetooth/drivers/ubt/ng_ubt.c
+++ b/sys/netgraph7/bluetooth/drivers/ubt/ng_ubt.c
@@ -807,13 +807,13 @@ ubt_intr_read_callback(struct usb_xfer *xfer, usb_error_t error)
 	switch (USB_GET_STATE(xfer)) {
 	case USB_ST_TRANSFERRED:
 		/* Allocate a new mbuf */
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			UBT_STAT_IERROR(sc);
 			goto submit_next;
 		}
 
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if (!(m->m_flags & M_EXT)) {
 			UBT_STAT_IERROR(sc);
 			goto submit_next;
@@ -907,13 +907,13 @@ ubt_bulk_read_callback(struct usb_xfer *xfer, usb_error_t error)
 	switch (USB_GET_STATE(xfer)) {
 	case USB_ST_TRANSFERRED:
 		/* Allocate new mbuf */
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			UBT_STAT_IERROR(sc);
 			goto submit_next;
 		}
 
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if (!(m->m_flags & M_EXT)) {
 			UBT_STAT_IERROR(sc);
 			goto submit_next;
@@ -1117,13 +1117,13 @@ ubt_isoc_read_one_frame(struct usb_xfer *xfer, int frame_no)
 	while (total > 0) {
 		if (m == NULL) {
 			/* Start new reassembly buffer */
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m == NULL) {
 				UBT_STAT_IERROR(sc);
 				return (-1);	/* XXX out of sync! */
 			}
 
-			MCLGET(m, MB_DONTWAIT);
+			MCLGET(m, M_NOWAIT);
 			if (!(m->m_flags & M_EXT)) {
 				UBT_STAT_IERROR(sc);
 				NG_FREE_M(m);
diff --git a/sys/netgraph7/bluetooth/hci/ng_hci_cmds.c b/sys/netgraph7/bluetooth/hci/ng_hci_cmds.c
index bd9f7e5..124a8d4 100644
--- a/sys/netgraph7/bluetooth/hci/ng_hci_cmds.c
+++ b/sys/netgraph7/bluetooth/hci/ng_hci_cmds.c
@@ -118,7 +118,7 @@ ng_hci_send_command(ng_hci_unit_p unit)
 
 	ng_hci_mtap(unit, m0);
 
-	m = m_dup(m0, MB_DONTWAIT);
+	m = m_dup(m0, M_NOWAIT);
 	if (m != NULL)
 		NG_SEND_DATA_ONLY(error, unit->drv, m);
 	else
diff --git a/sys/netgraph7/bluetooth/hci/ng_hci_evnt.c b/sys/netgraph7/bluetooth/hci/ng_hci_evnt.c
index 5f51fad..60b7146 100644
--- a/sys/netgraph7/bluetooth/hci/ng_hci_evnt.c
+++ b/sys/netgraph7/bluetooth/hci/ng_hci_evnt.c
@@ -515,7 +515,7 @@ con_compl(ng_hci_unit_p unit, struct mbuf *event)
 			} __attribute__ ((packed))			*lp;
 			struct mbuf					*m;
 
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m != NULL) {
 				m->m_pkthdr.len = m->m_len = sizeof(*lp);
 				lp = mtod(m, struct __link_policy *);
diff --git a/sys/netgraph7/bluetooth/hci/ng_hci_misc.c b/sys/netgraph7/bluetooth/hci/ng_hci_misc.c
index b5c792b..e2fc270 100644
--- a/sys/netgraph7/bluetooth/hci/ng_hci_misc.c
+++ b/sys/netgraph7/bluetooth/hci/ng_hci_misc.c
@@ -65,7 +65,7 @@ ng_hci_mtap(ng_hci_unit_p unit, struct mbuf *m0)
 	int		 error = 0;
 
 	if (unit->raw != NULL && NG_HOOK_IS_VALID(unit->raw)) {
-		m = m_dup(m0, MB_DONTWAIT);
+		m = m_dup(m0, M_NOWAIT);
 		if (m != NULL)
 			NG_SEND_DATA_ONLY(error, unit->raw, m);
 
diff --git a/sys/netgraph7/bluetooth/hci/ng_hci_ulpi.c b/sys/netgraph7/bluetooth/hci/ng_hci_ulpi.c
index 4601251..edc28f5 100644
--- a/sys/netgraph7/bluetooth/hci/ng_hci_ulpi.c
+++ b/sys/netgraph7/bluetooth/hci/ng_hci_ulpi.c
@@ -224,7 +224,7 @@ ng_hci_lp_acl_con_req(ng_hci_unit_p unit, item_p item, hook_p hook)
 	 * Create HCI command 
 	 */
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		ng_hci_free_con(con);
 		error = ENOBUFS;
@@ -417,7 +417,7 @@ ng_hci_lp_sco_con_req(ng_hci_unit_p unit, item_p item, hook_p hook)
 	 * Create HCI command 
 	 */
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		ng_hci_free_con(sco_con);
 		error = ENOBUFS;
@@ -531,7 +531,7 @@ ng_hci_lp_discon_req(ng_hci_unit_p unit, item_p item, hook_p hook)
 	 * Create HCI command
 	 */
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto out;
@@ -776,7 +776,7 @@ ng_hci_lp_con_rsp(ng_hci_unit_p unit, item_p item, hook_p hook)
 		 * Create HCI command 
 		 */
 
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (m == NULL) {
 			error = ENOBUFS;
 			goto out;
@@ -996,7 +996,7 @@ ng_hci_lp_qos_req(ng_hci_unit_p unit, item_p item, hook_p hook)
 	 * Create HCI command 
 	 */
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		error = ENOBUFS;
 		goto out;
diff --git a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_cmds.h b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_cmds.h
index c631eb6..f6404c2 100644
--- a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_cmds.h
+++ b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_cmds.h
@@ -56,7 +56,7 @@ do {									\
 		ng_l2cap_cmd_rej_data_t	 data;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) 						\
 		break;							\
 									\
@@ -90,7 +90,7 @@ do {									\
 		ng_l2cap_con_req_cp	 param;				\
 	} __attribute__ ((packed)) 	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) 						\
 		break;							\
 									\
@@ -113,7 +113,7 @@ do {									\
 		ng_l2cap_con_rsp_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) 						\
 		break;							\
 									\
@@ -138,7 +138,7 @@ do {									\
 		ng_l2cap_cfg_req_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) { 						\
 		NG_FREE_M((_data));					\
 		break;							\
@@ -172,7 +172,7 @@ do {									\
 		ng_l2cap_cfg_rsp_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) { 						\
 		NG_FREE_M((_data));					\
 		break;							\
@@ -204,7 +204,7 @@ do {									\
 do {									\
 	u_int8_t	*p = NULL;					\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL)						\
 		break;							\
 									\
@@ -281,7 +281,7 @@ do {									\
 		ng_l2cap_discon_req_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL)						\
 		break;							\
 									\
@@ -304,7 +304,7 @@ do {									\
 		ng_l2cap_discon_rsp_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL)						\
 		break;							\
 									\
@@ -324,7 +324,7 @@ do {									\
 do {									\
 	ng_l2cap_cmd_hdr_t	*c = NULL;				\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) 						\
 		break;							\
 									\
@@ -351,7 +351,7 @@ do {									\
 		ng_l2cap_info_req_cp	 param;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL)						\
 		break;							\
 									\
@@ -374,7 +374,7 @@ do {									\
 		ng_l2cap_info_rsp_data_t data;				\
 	} __attribute__ ((packed))	*c = NULL;			\
 									\
-	MGETHDR((_m), MB_DONTWAIT, MT_DATA);				\
+	MGETHDR((_m), M_NOWAIT, MT_DATA);				\
 	if ((_m) == NULL) 						\
 		break;							\
 									\
diff --git a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_evnt.c b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_evnt.c
index 43f4831..73d0fd1 100644
--- a/sys/netgraph7/bluetooth/l2cap/ng_l2cap_evnt.c
+++ b/sys/netgraph7/bluetooth/l2cap/ng_l2cap_evnt.c
@@ -192,7 +192,7 @@ ng_l2cap_process_signal_cmd(ng_l2cap_con_p con)
 
 		/* Get the command, save the rest (if any) */
 		if (con->rx_pkt->m_pkthdr.len > hdr->length)
-			m = m_split(con->rx_pkt, hdr->length, MB_DONTWAIT);
+			m = m_split(con->rx_pkt, hdr->length, M_NOWAIT);
 		else
 			m = NULL;
 
